Summary:   A Free, command-line, AlbumWrap and mp3wrap file exctractor
Name:      mp3splt
Version:   2.4
Release:   8%{?dist}
License:   GPLv2
Group:     Applications/Multimedia
Source:    http://download.sourceforge.net/sourceforge/mp3splt/mp3splt-%{version}.tar.gz
URL:       http://mp3splt.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libmp3splt-devel > 0.5.9 libtool-ltdl-devel
BuildRequires: gettext

%description
Mp3Splt is a command line utility to split mp3 and ogg files,
by selecting a begin and an end time position, without decoding. 
It is very useful to split large mp3/ogg into smaller files,
or to split entire albums to obtain original tracks. 
To split an album, the split points and filenames can be selected 
manually or automatically from CDDB (internet or a local file),
or from .cue files.

It supports VBR mp3, and it is also possible to extract tracks 
from Mp3Wrap or AlbumWrap files in a few seconds.

%prep
%setup -q
%{_bindir}/iconv -f iso8859-1 -t utf8 AUTHORS -o AUTHORS.txt
touch -r AUTHORS AUTHORS.txt
mv AUTHORS.txt AUTHORS

%build
%configure --with-mp3splt-includes=%{_includedir}/libmp3splt \
           --enable-oggsplt_symlink
           
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/mp3splt
%{_bindir}/oggsplt
%{_mandir}/man1/%{name}*.gz
%{_mandir}/man1/oggsplt*.gz

%changelog
* Sat Sep 03 2011 Paulo Roma <roma@lcg.ufrj.br> 2.4-8
- Updated to 2.4

* Sun Mar 13 2011 Paulo Roma <roma@lcg.ufrj.br> 2.3a-7
- Updated to 2.3a

* Mon Sep 27 2010 Paulo Roma <roma@lcg.ufrj.br> 2.2.9-6
- Updated to 2.2.9

* Wed Feb 17 2010 Paulo Roma <roma@lcg.ufrj.br> 2.2.8-6
- Updated to 2.2.8

* Wed Nov 04 2009 Paulo Roma <roma@lcg.ufrj.br> 2.2.7a-6
- Updated to 2.2.7a

* Sat Oct 31 2009 Paulo Roma <roma@lcg.ufrj.br> 2.2.7-6
- Updated to 2.2.7

* Thu Jul 30 2009 Paulo Roma <roma@lcg.ufrj.br> 2.2.6a-6
- Bugfix release: 2.2.6a

* Mon Jul 27 2009 Paulo Roma <roma@lcg.ufrj.br> 2.2.6-6
- Updated to 2.2.6
- Using find_lang.

* Sat May 16 2009 Paulo Roma <roma@lcg.ufrj.br> 2.2.5-5
- Updated to 2.2.5

* Mon May 11 2009 Paulo Roma <roma@lcg.ufrj.br> 2.2.4-5
- Added BR libtool-ltdl-devel.

* Sat May 09 2009 Paulo Roma <roma@lcg.ufrj.br> 2.2.4-4
- Updated to 2.2.4
- Touching AUTHORS file.
- Updated Source download link.
- Removed obsolete gcc 4.1 patch.

* Wed Jul 30 2008 Paulo Roma <roma@lcg.ufrj.br> 2.1-3
- Patched for building on gcc 4.1.
- Converted AUTHORS to utf8.

* Sat Nov 17 2007 Paulo Roma <roma@lcg.ufrj.br> 2.1-2
- Using CC=gcc and relying on forcegcc
  for chosing the appropriate compiler (gcc34 or gcc32).

* Thu Jul 12 2007 Paulo Roma <roma@lcg.ufrj.br> 2.1-1
- Initial spec file.
